package app05e.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import org.apache.commons.beanutils.Converter;


public final class DateConverter implements Converter {
    private static SimpleDateFormat dateFormat;
    public DateConverter(String datePattern) {
      dateFormat = new SimpleDateFormat(datePattern);
      dateFormat.setLenient(false);
    }
        
    public Object convert(Class type, Object value) {
      try {
        return dateFormat.parse((String) value);
      }
      catch (ParseException e) {
      }
      return null;
    }
  }
